aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/.ci/plot.sh
diff options
context:
space:
mode:
authorEgor Tensin <Egor.Tensin@gmail.com>2022-12-07 15:39:42 +0100
committerEgor Tensin <Egor.Tensin@gmail.com>2022-12-07 15:39:42 +0100
commite0c5fcf0056b3675e0c5424bc9d05a149ba93147 (patch)
treed982e863dc7e7ae4aef6baa1cf000aa4c17c2790 /.ci/plot.sh
parentREADME: update (diff)
downloadsorting-algorithms-e0c5fcf0056b3675e0c5424bc9d05a149ba93147.tar.gz
sorting-algorithms-e0c5fcf0056b3675e0c5424bc9d05a149ba93147.zip
fix preludes in bash scripts
Diffstat (limited to '.ci/plot.sh')
-rwxr-xr-x.ci/plot.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/.ci/plot.sh b/.ci/plot.sh
index 091abab..fee1166 100755
--- a/.ci/plot.sh
+++ b/.ci/plot.sh
@@ -6,6 +6,7 @@
# Distributed under the MIT License.
set -o errexit -o nounset -o pipefail
+shopt -s inherit_errexit lastpipe
script_dir="$( dirname -- "${BASH_SOURCE[0]}" )"
script_dir="$( cd -- "$script_dir" && pwd )"